{% extends 'SyliusWebBundle:Backend:layout.html.twig' %}

{% import 'SyliusResourceBundle:Macros:buttons.html.twig' as buttons %}
{% import 'SyliusWebBundle:Backend/Macros:alerts.html.twig' as alerts %}
{% import 'SyliusWebBundle:Backend/Macros:misc.html.twig' as misc %}

{% block topbar %}
    <ol class="breadcrumb">
        <li>{{ 'sylius.breadcrumb.assortment'|trans }}</li>
        <li><a href="{{ path('elbotrade_catalog_backend_list') }}">Catalogs</a></li>
        <li>{{ catalogCategory.name }}</li>
    </ol>
{% endblock %}

{% block content %}
    <div class="page-header">
        <div class="actions-menu">
            {{ buttons.manage(path('elbotrade_catalog_backend_list'), 'Manage Catalogs') }}
            {{ buttons.edit(path('elbotrade_catalog_backend_update', {'id': catalogCategory.id})) }}
            {{ buttons.delete(path('elbotrade_catalog_backend_delete', {'id': catalogCategory.id}), null, false, true) }}
        </div>
        <h1>
            <i class="glyphicon glyphicon-info-sign"></i> Catalog Details {{ catalogCategory.name }}
        </h1>
    </div>

    <div class="row">
        <div class="col-md-12">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th colspan="2">{{ 'sylius.order.general_info'|trans }}</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><strong>{{ 'sylius.shipment.id'|trans }}</strong></td>
                    <td>{{ catalogCategory.id }}</td>
                </tr>
                <tr>
                    <td>{{ 'sylius.product.name'|trans }}</td>
                    <td>{{ catalogCategory.name }}</td>
                </tr>
                <tr>
                    <td>Active</td>
                    <td>{{ catalogCategory.active }}</td>
                </tr>
                <tr>
                    <td>Locale</td>
                    <td>{{ catalogCategory.locale }}</td>
                </tr>
                    <td>Catalogs</td>
                    {% for catalog in catalogCategory.catalogs %}
                        <td>
                            <a href="{{ path('elbotrade_catalog_backend_show', {'id': catalog.id}) }}">{{ catalog }}</a>
                        </td>
                    {% endfor %}
                </tr>
                </tbody>
            </table>
        </div>

    </div>

    <hr>

{% endblock %}
